----------------------------------------------------------------后端服务启动前执行-----------------------------------------------------------------------------------------
-- 给分间隔新增表
CREATE TABLE `ec_m_mark_score_step` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `course_code` varchar(255) NOT NULL,
  `step` double NOT NULL,
  `work_id` bigint(20) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `IDX_M_MARK_SCORE_STEP_01` (`work_id`,`course_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

-- 评卷状态，新增字段
ALTER TABLE `ec_m_mark_work` ADD COLUMN `is_end`  bit(1) NOT NULL;

-- 新增唯一约束，BUG处理：设置评卷员多次点击确定按钮会插入重复的ec_m_mark_range数据
CREATE UNIQUE INDEX `IDX_M_MARK_RANGE_01` ON `ec_m_mark_range`(`base_paper_id`, `work_id`) USING BTREE ;





----------------------------------------------------------------后端服务启动后执行------------------------------------------------------------------------------------------


